ObjectInputFilter.Status (Java SE 9 & JDK 9 )
Keywords: java.io.ObjectInputFilter.Status class

Module java.base
Package java.io

## Enum ObjectInputFilter.Status

- java.lang.Object
- - java.lang.Enum<ObjectInputFilter.Status>
  - - java.io.ObjectInputFilter.Status

- All Implemented Interfaces:
    `Serializable`, `Comparable<ObjectInputFilter.Status>`
  Enclosing interface:
    ObjectInputFilter

      public static enum ObjectInputFilter.Status
      extends Enum<ObjectInputFilter.Status>

  The status of a check on the class, array length, number of references, depth, and stream size.
  Since:
    9

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALLOWED` | The status is allowed.
    `REJECTED` | The status is rejected.
    `UNDECIDED` | The status is undecided, not allowed and not rejected.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ObjectInputFilter.Status` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ObjectInputFilter.Status[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDECIDED

          public static final ObjectInputFilter.Status UNDECIDED

      The status is undecided, not allowed and not rejected.

    - #### ALLOWED

          public static final ObjectInputFilter.Status ALLOWED

      The status is allowed.

    - #### REJECTED

          public static final ObjectInputFilter.Status REJECTED

      The status is rejected.

  - ### Method Detail

    - #### values

          public static ObjectInputFilter.Status[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObjectInputFilter.Status c : ObjectInputFilter.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObjectInputFilter.Status valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null